bigint.hpp File Reference
`#include <bit>`
`#include <cstdint>`
`#include <cmath>`
`#include <cstring>`
`#include <cassert>`
`#include <tlfloat/tlfloatconfig.hpp>`
`#include <iostream>`
`#include <ios>`
`#include <vector>`
`#include <string>`
Include dependency graph for bigint.hpp:
This graph shows which files directly or indirectly include this file:

## Classes

struct | tlfloat::xpair< firsttype, secondtype >
class | tlfloat::BigUInt< N >
class | tlfloat::BigUInt< N >::Montgomery
class | tlfloat::BigInt< N >

## Namespaces

namespace | tlfloat
| TLFloat library defines all C++ classes and functions in tlfloat namespace.

## Macros

#define | TLFLOAT_DISABLE_ARCH_OPTIMIZATION
#define | TLFLOAT_NO_LIBSTDCXX
#define | TLFLOAT_VERSION_MAJOR
#define | TLFLOAT_VERSION_MINOR
#define | TLFLOAT_VERSION_PATCH

## Functions

std::ostream & | tlfloat::operator<< (std::ostream &os, const BigUInt< 6 > &u)
template<int N>
std::string | tlfloat::to_string (const BigUInt< N > &u)
template<int N>
static std::ostream & | tlfloat::operator<< (std::ostream &os, const BigUInt< N > &u)
template<int N>
std::string | tlfloat::to_string (const BigInt< N > &i)
template<int N>
static std::ostream & | tlfloat::operator<< (std::ostream &os, const BigInt< N > &d)

## Macro Definition Documentation

## TLFLOAT_DISABLE_ARCH_OPTIMIZATION

#define TLFLOAT_DISABLE_ARCH_OPTIMIZATION

All architecture-specific optimizations (e.g., use of intrinsic functions) are disabled if this macro is defined

## TLFLOAT_NO_LIBSTDCXX

#define TLFLOAT_NO_LIBSTDCXX

Functions that require libstdc++ will be disabled if this macro is defined

## TLFLOAT_VERSION_MAJOR

#define TLFLOAT_VERSION_MAJOR

TLFLOAT_VERSION_MAJOR is the major version of TLFloat library

## TLFLOAT_VERSION_MINOR

#define TLFLOAT_VERSION_MINOR

TLFLOAT_VERSION_MAJOR is the minor version of TLFloat library

## TLFLOAT_VERSION_PATCH

#define TLFLOAT_VERSION_PATCH

TLFLOAT_VERSION_MAJOR is the patch level of TLFloat library